import { jsx } from "react/jsx-runtime";
import { TokenUND as TokenUND$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUND = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "UND", "data-name": "TokenUND", ...props, children: /* @__PURE__ */ jsx(TokenUND$1, { variant }) });
  }
);
TokenUND.displayName = "TokenUND";
Object.assign(TokenUND, { isGdsIcon: true });
export {
  TokenUND
};
